.TH pcmsg() "" "" "DDI/DKI Kernel Routine"
.PC "Test if a message type indicates high priority"
.B "#include <sys/ddi.h>"
.B "#include <sys/stream.h>"
.B "#include <sys/types.h>"
\fBint pcmsg(\fItype\^\fB)\fR
\fBuchar_t \fItype\^\fB;\fR
.PP
.B pcmsg()
tests the message
.I type
to see if it indicates high priority.
It returns one if does,
or zero if it does not.
Field
.B datab.db_type
holds a message's type.
.SH "See Also"
.B
allocb(),
datab,
DDI/DKI kernel routines,
msgb,
messages
.R
.SH Notes
.B pcmsg()
has base or interrupt level.
It does not sleep.
.PP
A driver can hold a
driver-defined basic lock, read/write lock, or sleep lock
across a call to this function.
